Theme
Create Character
POST
https://www.kkiai.com/sora/v1/characters
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
url | string | Optional | Video containing the character to be created. Either url or from_task is required |
timestamps | string | Required | Unit in seconds. For example, '1,2' refers to the character appearing in seconds 1-2 of the video. Note: range difference maximum 3 seconds, minimum 1 second |
from_task | string | Optional | Can create a character based on an already generated task id |
Request Example
json
{
// "url": "https://filesystem.site/cdn/20251030/javYrU4etHVFDqg8by7mViTWHlMOZy.mp4",
"timestamps": "1,3",
"from_task":"video_e50c76ca-21d4-40e9-8485-e4ead2d37133"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/sora/v1/characters' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
// "url": "https://filesystem.site/cdn/20251030/javYrU4etHVFDqg8by7mViTWHlMOZy.mp4",
"timestamps": "1,3",
"from_task":"video_e50c76ca-21d4-40e9-8485-e4ead2d37133"
}'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
username | string | Required | Character name, used in prompts as @{username} |
permalink | string | Required | Character homepage, redirects to OpenAI character homepage |
profile_picture_url | string | Required |
Response Example
json
{
"id": "ch_6918d62178e48191a0b1ae49be428a13",
"username": "hfspncadz.mooflapand",
"permalink": "https://sora.chatgpt.com/profile/hfspncadz.mooflapand",
"profile_picture_url": "https://videos.openai.com/az/files/00000000-b788-71f7-9de5-96555ff29024%2Fraw?se=2025-11-20T00%3A00%3A00Z&sp=r&sv=2024-08-04&sr=b&skoid=1af02b11-169c-463d-b441-d2ccfc9f02c8&sktid=a48cca56-e6da-484e-a814-9c849652bcb3&skt=2025-11-15T01%3A48%3A34Z&ske=2025-11-22T01%3A53%3A34Z&sks=b&skv=2024-08-04&sig=3/KGVtkEsZWBTmErhzUEU5pWrnL8JxRKH0wVCQvh6Fo%3D&ac=oaisdmntprsouthcentralus"
}